summaryrefslogtreecommitdiffstats
path: root/games/bsnes-mercury
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-08-01 12:11:07 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commit0a18f809db7c497ff46b266b264840b928b3ced9 (patch)
tree0d94506a4cbf664064a7f380e3662b726164dbf9 /games/bsnes-mercury
parentdf2df339a756ff1cb9f24aabca1516b05f3fe066 (diff)
downloadslackbuilds-0a18f809db7c497ff46b266b264840b928b3ced9.tar.gz
slackbuilds-0a18f809db7c497ff46b266b264840b928b3ced9.tar.xz
games/bsnes-mercury: Added (Fork of bsnes).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/bsnes-mercury')
-rw-r--r--games/bsnes-mercury/README35
-rw-r--r--games/bsnes-mercury/bsnes-mercury.SlackBuild103
-rw-r--r--games/bsnes-mercury/bsnes-mercury.info10
-rw-r--r--games/bsnes-mercury/slack-desc19
4 files changed, 167 insertions, 0 deletions
diff --git a/games/bsnes-mercury/README b/games/bsnes-mercury/README
new file mode 100644
index 0000000000..2ac6d98a75
--- /dev/null
+++ b/games/bsnes-mercury/README
@@ -0,0 +1,35 @@
+bsnes-mercury is a Super Nintendo video game system emulator that can be used
+as a libretro core.
+
+bsnes-mercury is a fork of higan, aiming to restore some useful features that
+have been removed, as well as improving performance a bit. Maximum accuracy is
+still uncompromisable; anything that affects accuracy is optional and off by
+default.
+
+bsnes-mercury optionally supports using the following BIOS image file for
+operation:
+
+* dsp1.data.rom (DSP1 DATA)
+* dsp1.program.rom (DSP1 PROGRAM)
+* dsp1b.data.rom (DSP1B DATA)
+* dsp1b.program.rom (DSP1B PROGRAM))
+* dsp2.data.rom (DSP2 DATA)
+* dsp2.program.rom (DSP2 PROGRAM)
+* dsp3.data.rom (DSP3 DATA)
+* dsp3.program.rom (DSP3 PROGRAM)
+* dsp4.data.rom (DSP4 DATA)
+* dsp4.program.rom (DSP4 PROGRAM)
+* cx4.data.rom (Cx4 DATA)
+* st010.data.rom (ST-0010 DATA)
+* st010.program.rom (ST-0010 PROGRAM)
+* st011.data.rom (ST-0011 DATA)
+* st011.program.rom (ST-0011 PROGRAM)
+* st018.data.rom (ST-0018 DATA)
+* st018.program.rom (ST-0018 PROGRAM)
+
+By default, this SlackBuild will build the bsnes accuracy core.
+To build the balanced or performance cores, choose any desired cores:
+ CORE="accuracy balanced performance" ./bsnes-mercury.SlackBuild
+
+Or to build all three cores, "all" can be used:
+ CORE="all" ./bsnes-mercury.SlackBuild
diff --git a/games/bsnes-mercury/bsnes-mercury.SlackBuild b/games/bsnes-mercury/bsnes-mercury.SlackBuild
new file mode 100644
index 0000000000..0dd91ead05
--- /dev/null
+++ b/games/bsnes-mercury/bsnes-mercury.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for bsnes-mercury
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bsnes-mercury
+LIBNAM=$(echo $PRGNAM | tr - _)
+VERSION=${VERSION:-2016.07.17_a444a4e}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "$ARCH" = "arm" ]; then
+ CORE="${CORE:-performance}"
+else
+ CORE="${CORE:-accuracy}"
+fi
+if [ "$CORE" = "all" ]; then
+ CORE="accuracy balanced performance"
+fi
+
+for PROFILE in $CORE; do
+ CORENAM=${LIBNAM}_${PROFILE}_libretro
+ make profile=$PROFILE
+ install -Dm0644 out/$CORENAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$CORENAM.so
+ install -Dm0644 $CORENAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$CORENAM.info
+ make clean
+done
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/bsnes-mercury/bsnes-mercury.info b/games/bsnes-mercury/bsnes-mercury.info
new file mode 100644
index 0000000000..c04e92c940
--- /dev/null
+++ b/games/bsnes-mercury/bsnes-mercury.info
@@ -0,0 +1,10 @@
+PRGNAM="bsnes-mercury"
+VERSION="2016.07.17_a444a4e"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/bsnes-mercury-2016.07.17_a444a4e.tar.xz"
+MD5SUM="f2c5edf61fed5c43c8e0d47696619ec8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/bsnes-mercury/slack-desc b/games/bsnes-mercury/slack-desc
new file mode 100644
index 0000000000..8189f6e048
--- /dev/null
+++ b/games/bsnes-mercury/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bsnes-mercury: bsnes-mercury (Fork of bsnes with performance improvements)
+bsnes-mercury:
+bsnes-mercury: bsnes-mercury is a fork of higan, aiming to restore some useful
+bsnes-mercury: features that have been removed, as well as improving performance
+bsnes-mercury: a bit.
+bsnes-mercury:
+bsnes-mercury: Homepage: http://www.libretro.com/
+bsnes-mercury:
+bsnes-mercury:
+bsnes-mercury:
+bsnes-mercury: